import { contextBridge, ipcRenderer, remote } from "electron";

import env from "./lib/env";
import config from "./lib/config";
// import api from "./lib/api";
import { addWatermark } from "./lib/watermark";
import { queryStudentCount } from "./lib/sync";
import { receiveMessage } from "./lib/channel";

export const electronInWindow = {
  dialog: remote.dialog,
  env: env,
  config,
  // api,
  addWatermark,
  queryStudentCount,
  receiveMessage,
};

contextBridge.exposeInMainWorld("electron", electronInWindow);
